OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Static Public Attributes
IndustryAnimationBase Struct Reference

Helper class for animation control. More...

Inheritance diagram for IndustryAnimationBase:

## Static Public Attributes
static const CallbackID | cb_animation_speed = CBID_INDTILE_ANIMATION_SPEED
static const CallbackID | cb_animation_next_frame = CBID_INDTILE_ANIM_NEXT_FRAME
static const IndustryTileCallbackMask | cbm_animation_speed = CBM_INDT_ANIM_SPEED
static const IndustryTileCallbackMask | cbm_animation_next_frame = CBM_INDT_ANIM_NEXT_FRAME

## Additional Inherited Members
Static Public Member Functions inherited from AnimationBase< IndustryAnimationBase, IndustryTileSpec, Industry, int, GetSimpleIndustryCallback >
static void | AnimateTile (const IndustryTileSpec *spec, Industry *obj, TileIndex tile, bool random_animation, intextra_data=0)
| Animate a single tile.
static void | ChangeAnimationFrame (CallbackID cb, const IndustryTileSpec *spec, Industry *obj, TileIndex tile, uint32 random_bits, uint32 trigger, intextra_data=0)
| Check a callback to determine what the next animation step is and execute that step.

## Detailed Description

Helper class for animation control.

Definition at line 269 of file newgrf_industrytiles.cpp.

The documentation for this struct was generated from the following file:

- src/newgrf_industrytiles.cpp